%define name gtkpbbuttons
%define version 0.5.2
%define release 1mdk

Name: %{name}
Summary: GTK display client for pbbuttonsd.
Version: %{version}
Release: %{release}
Source: http://www.cymes.de/members/joker/projects/pbbuttons/tar/%{name}-%{version}.tar.bz2
Source1: gtkpbbuttons.startup
URL: http://www.cymes.de/members/joker/projects/pbbuttons/pbbuttons.html
Group: System/Configuration/Hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Requires: pbbuttonsd >= 0.4.9
BuildRequires: pbbuttonsd-devel
ExclusiveArch: ppc

%description
A visualisation client for pbbuttonsd to display
messages from the server in nice GTK popup windows.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}

%build
%configure
%make

%install
%makeinstall
install -c -D -m755 %{SOURCE1} %buildroot%{_sysconfdir}/X11/xinit.d/gtkpbbuttons
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS BUGS COPYING README TODO
%{_sysconfdir}/X11/xinit.d/gtkpbbuttons
%{_bindir}/*
%{_mandir}/man*/*
%{_datadir}/pixmaps/*
%{_datadir}/sounds/*

%changelog
* Mon Mar 10 2003 Ben Reser <ben@reser.org> 0.5.2-1mdk
- Updated to 0.5.2 by  Stew Benedict
- Use the %%find_lang macro
- rpmlint permission fixes

* Sat Jun 08 2002 Ben Reser <ben@reser.org> 0.4.6b-3brs
- Rebuild against pbbuttonsd-0.4.10

* Sat Jun 08 2002 Ben Reser <ben@reser.org> 0.4.6b-2brs
- Rebuild against pbbuttonsd-0.4.9-2brs

* Wed May 02 2002 Ben Reser <ben@reser.org> 0.4.6b-1mdk
- First mandrake build.
